package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrGasdetectorMapper;
import com.ruoyi.project.pssr.domain.TPssrGasdetector;
import com.ruoyi.project.pssr.service.ITPssrGasdetectorService;

/**
 * 气体检测器Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrGasdetectorServiceImpl implements ITPssrGasdetectorService
{
    @Autowired
    private TPssrGasdetectorMapper tPssrGasdetectorMapper;

    /**
     * 查询气体检测器
     *
     * @param id 气体检测器ID
     * @return 气体检测器
     */
    @Override
    public TPssrGasdetector selectTPssrGasdetectorById(Long id)
    {
        return tPssrGasdetectorMapper.selectTPssrGasdetectorById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrGasdetectorMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询气体检测器列表
     *
     * @param tPssrGasdetector 气体检测器
     * @return 气体检测器
     */
    @Override
    public List<TPssrGasdetector> selectTPssrGasdetectorList(TPssrGasdetector tPssrGasdetector)
    {
        return tPssrGasdetectorMapper.selectTPssrGasdetectorList(tPssrGasdetector);
    }

    /**
     * 新增气体检测器
     *
     * @param tPssrGasdetector 气体检测器
     * @return 结果
     */
    @Override
    public int insertTPssrGasdetector(TPssrGasdetector tPssrGasdetector)
    {
        return tPssrGasdetectorMapper.insertTPssrGasdetector(tPssrGasdetector);
    }

    /**
     * 修改气体检测器
     *
     * @param tPssrGasdetector 气体检测器
     * @return 结果
     */
    @Override
    public int updateTPssrGasdetector(TPssrGasdetector tPssrGasdetector)
    {
        return tPssrGasdetectorMapper.updateTPssrGasdetector(tPssrGasdetector);
    }

    /**
     * 批量删除气体检测器
     *
     * @param ids 需要删除的气体检测器ID
     * @return 结果
     */
    @Override
    public int deleteTPssrGasdetectorByIds(Long[] ids)
    {
        return tPssrGasdetectorMapper.deleteTPssrGasdetectorByIds(ids);
    }

    /**
     * 删除气体检测器信息
     *
     * @param id 气体检测器ID
     * @return 结果
     */
    @Override
    public int deleteTPssrGasdetectorById(Long id)
    {
        return tPssrGasdetectorMapper.deleteTPssrGasdetectorById(id);
    }
}
